Package uk.ac.starlink.vo

## Interface UwsJob.JobWatcher

- Enclosing class:
    UwsJob

      public static interface UwsJob.JobWatcher

  Callback interface for objects wanting to be notified of job status changes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `jobUpdated​(UwsJob job, UwsJobInfo info)` | Called when the job status has changed.

- - ### Method Detail

    - #### jobUpdated

          void jobUpdated​(UwsJob job,
                          UwsJobInfo info)

      Called when the job status has changed. Usually, this means a change of the Phase.
      Parameters:
        `job` - job in question
        `info` - new status

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.